import request from '@/utils/request';

// 新增APP版本
export const versionAdd = (data) => {
  return request({
    url: '/version/appVersion/add',
    method: 'post',
    data: data
  })
}
// 查询APP版本列表
export const versionPage = (params) => {
  return request({
    url: '/version/appVersion/page',
    method: 'get',
    params: params
  })
}
// 获取APP版本详细信息
export const versionInfo = (id) => {
  return request({
    url: `/version/appVersion/info/${id}`,
    method: 'get',
  })
}
// 修改APP版本
export const versionEdit = (data) => {
  return request({
    url: '/version/appVersion/edit',
    method: 'post',
    data: data
  })
}
// 删除APP版本
export const versionDel = (id) => {
  return request({
    url: `/version/appVersion/del/${id}`,
    method: 'post',
  })
}